#! /usr/bin/ruby 

DOC_NAME = "jma-receipt-manual_3.1.0"

ARGV.each {|file|
  if file =~ /#{DOC_NAME}-([0-9]+).html/
    @page = $1
    @prev_page = @page.to_i - 1
    @next_page = @page.to_i + 1
  end

  f = File.open(file)
  tmpfile = file + ".tmp"
  fs = File.open(tmpfile, "w")
  while s = f.gets
    if s =~ /^<\/DIV>/
      fs.print "<DIV style=\"position:absolute;top:1192;left:400\"><a href=\"sarge_install-0.5-#{@prev_page}.html\">前ページ</a>← →<a href=\"#{DOC_NAME}-#{@next_page}.html\">次ページ</a></div>\n</DIV>\n"
    else
      fs.print s
    end
  end
  File.rename(file, file +".bak")
  File.rename(tmpfile, file)
}

exit

